Bug 636506 - Can't get the Virtualization ibvirt running in F14
Can't get the Virtualization ibvirt running in F14
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-22 08:39 EDT by Joachim Backes
Modified: 2012-01-24 16:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 16:56:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joachim Backes 2010-09-22 08:39:14 EDT
Description of problem:
1. For virtualization instructions, I used

http://fedoraproject.org/wiki/Virtualization_Quick_Start

---------------------------------------------------------------------
2. egrep '^flags.*(vmx|svm)' /proc/cpuinfo 
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm lahf_lm tpr_shadow
-----------------------------------------------------------------------

3. I installed the yum group Virtualization:

sudo yum Groupinstall Virtualization

....
  Installing     : 2:qemu-kvm-0.13.0-0.6.rc1.fc14.i686                                                                                                             1/7 
  Installing     : libvirt-client-0.8.3-2.fc14.i686                                                                                                                2/7 
  Installing     : libvirt-python-0.8.3-2.fc14.i686                                                                                                                3/7 
  Installing     : libvirt-0.8.3-2.fc14.i686                                                                                                                       4/7 
  Installing     : virt-viewer-0.2.1-1.fc13.i686                                                                                                                   5/7 
  Installing     : python-virtinst-0.500.4-1.fc14.noarch                                                                                                           6/7 
  Installing     : virt-manager-0.8.5-1.fc14.noarch                                                                                                                7/7 
Warning in file "/usr/share/applications/gnome-nautilus-folder-handler.desktop": usage of MIME type "x-directory/gnome-default-handler" is discouraged ("x-directory" is an old media type that should be replaced with a modern equivalent)
Warning in file "/usr/share/applications/gnome-nautilus-folder-handler.desktop": usage of MIME type "x-directory/normal" is discouraged ("x-directory" is an old media type that should be replaced with a modern equivalent)
Warning in file "/usr/share/applications/fedora-xarchiver.desktop": usage of MIME type "multipart/x-zip" is discouraged ("multipart" is a media type that probably does not make sense in this context)

Installed:
  libvirt.i686 0:0.8.3-2.fc14          python-virtinst.noarch 0:0.500.4-1.fc14      qemu-kvm.i686 2:0.13.0-0.6.rc1.fc14      virt-manager.noarch 0:0.8.5-1.fc14     
  virt-viewer.i686 0:0.2.1-1.fc13     

Dependency Installed:
  libvirt-client.i686 0:0.8.3-2.fc14                                                 libvirt-python.i686 0:0.8.3-2.fc14                                                

------------------------------------------------------------------------

4. sudo service libvirtd start
Starting libvirtd daemon:                                  [  OK  ]
------------------------------------------------------------------
5. sudo /usr/bin/virt-install --prompt (/usr/sbin/virt-install is wrong!!)
ERROR    unable to connect to '/var/run/libvirt/libvirt-sock', libvirtd may need to be started: Connection refused
----------------------------------------------------------------------------
6.
 lsmod | grep kvm
kvm_intel              36243  0 
kvm                   216380  1 kvm_intel
---------------------------------------------------------------------------
7.  ps -eaf|grep libvirt
nobody    2803     1  0 14:20 ?        00:00:00 /usr/sbin/dnsmasq --strict-order --bind-interfaces --pid-file=/var/run/libvirt/network/default.pid --conf-file=  --listen-address 192.168.122.1 --except-interface lo --dhcp-range 192.168.122.2,192.168.122.254 --dhcp-lease-max=253
-----------------------------------------------------------------------

It seems libvirtd is down, or had not been started!

8.  sudo service libvirtd restart
Stopping libvirtd daemon:                                  [FAILED]
Starting libvirtd daemon:                                  [  OK  ]



Version-Release number of selected component (if applicable):

libvirt-0.8.3-2.fc14.i686
How reproducible:

I did try several times - no success

Steps to Reproduce:
1.see description
2.
3.
  
Actual results:
cannot get libvirt running

Expected results:
libvirt active

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2011-09-22 13:57:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 14:00:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-11-30 14:56:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 14:58:15 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:02:55 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:03:46 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Cole Robinson 2012-01-24 16:56:16 EST
F14 is EOL, please reopen if this is still relevant in a more recent fedora.

Note You need to log in before you can comment on or make changes to this bug.